gspca webcams (video4linux)

Matt Zimmerman mdz at ubuntu.com
Sun Oct 12 12:15:16 BST 2008


On Wed, Oct 08, 2008 at 10:40:57PM -0700, Kees Cook wrote:
> On Mon, Sep 08, 2008 at 10:33:02AM -0700, Kees Cook wrote:
> > Anyone using applications with these webcams will need to use the
> > PRELOAD stuff[4] to make them work again.  So, in addition to libv4l,
> > would it be possible to get the gstreamer patches needed to support
> > this?
> 
> Based on Gregor Jasny's Debian version of libv4l, I've re-worked the
> package sources a bit and put them up for anyone to look through.
> Hopefully some version of this can get in soon.  :)

My understanding is that there are two ways to make this work: to preload
a library which wraps the relevant system calls, or to modify the
application to use a (trivially) different API.

Which of these are you proposing, and which applications would need to be
touched in order to fix this for 8.10?

-- 
 - mdz



More information about the ubuntu-devel mailing list